export class HttpError extends Error {
  constructor(
    message?: string,
    public errorCode?: string,
    public errorMsg?: string,
    public traceId?: string
  ) {
    super(message);
  }

  info = () => `[HttpError]: errorCode: ${this.errorCode}, errorMsg: ${this.errorMsg}, traceId: ${this.traceId}`;
}
